### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
BatesModel Class Reference

Bates stochastic-volatility model. More...

`#include <ql/models/equity/batesmodel.hpp>`

Inheritance diagram for BatesModel:
[legend]

List of all members.

## Public Member Functions

| BatesModel (const boost::shared_ptr< BatesProcess > &process)
Real | nu () const
Real | delta () const
Real | lambda () const

## Protected Member Functions

void | generateArguments ()

## Detailed Description

Bates stochastic-volatility model.

extended versions of Heston model for the stochastic volatility of an asset including jumps.

References: A. Sepp, Pricing European-Style Options under Jump Diffusion Processes with Stochastic Volatility: Applications of Fourier Transform (<http://math.ut.ee/~spartak/papers/stochjumpvols.pdf>)

Tests:
  calibration is tested against known values.

Examples:
  EquityOption.cpp.